new Vue({
	el: '#childApp',
	data:function(){
		return {
			ss:'sas',
			dateTime: '',
			taskList:[],
			taskvalue: '',
			start_date: '',
			end_date:'',
			takeList:[],
      takevalue: '',
      titleInfo: {
        "total_session": 0, 
        "validate_session": 0, 
        "ratio": 0, 
      },
			loading: true,
		}
	},
	methods: {
		changeRange(dateTime){
			console.log(dateTime);
			this.start_date = dateTime;
			this.getRule(this.taskvalue,this.start_date,this.takevalue);  // 获取统计数据
		},
		changeTask(msg){
			console.log(msg);
			this.taskvalue = msg;
			this.getTake()
			this.getRule(this.taskvalue,this.start_date,this.takevalue);  // 获取统计数据
		},
		changeTake(msg){
			this.takevalue = msg;
			this.getRule(this.taskvalue,this.start_date,this.takevalue);  // 获取统计数据
			console.log(msg);
		},
		getTask(){
			let that = this;
      that.taskList = [
        {id:'',name:'全省'},
        {id:'合肥',name:'合肥'},
        {id:'芜湖',name:'芜湖'},
        {id:'蚌埠',name:'蚌埠'},
        {id:'淮南',name:'淮南'},
        {id:'马鞍山',name:'马鞍山'},
        {id:'淮北',name:'淮北'},
        {id:'铜陵',name:'铜陵'},
        {id:'安庆',name:'安庆'},
        {id:'黄山',name:'黄山'},
        {id:'滁州',name:'滁州'},
        {id:'阜阳',name:'阜阳'},
        {id:'毫州',name:'毫州'},
        {id:'宿州',name:'宿州'},
        {id:'六安',name:'六安'},
        {id:'宣城',name:'宣城'},
        {id:'巢湖',name:'巢湖'},
        {id:'池州',name:'池州'},
        {id:'安徽省营业部',name:'安徽省营业部'},
      ];
      //RquestsGet('api/v1/tasks/obtain/').then(data => {
			//	//console.log(data);
			//	if(data.code != 0){
			//		that.taskList = [{id:'',name:'全部任务'}];
			//	}else{
			//		that.taskList = [{id:'',name:'全部任务'}].concat(data.data);
			//		that.getTake()
			//	}
			//})
		},
		getTake(){
			let that = this;
			RquestsGet('api/v1/tasks/seat/?task=' + that.taskvalue).then(data => {
				//console.log(data);

				if(data.code != 0){
					//that.takeList = [{agentName:'全部坐席'}]
				}else{
					that.takeList = data.data;
				}
			})
		},
    Charts(msg){
      console.log(msg);
      let msgLen = msg.length;
      let xAxisArr = [];
      let seriesArr = [];
      for(let key in msg){
        console.log(key);
        xAxisArr.unshift(msg[key].date); 
        seriesArr.unshift(msg[key].ratio * 100); 
      }
      let option = {
          tooltip: {
            trigger: 'axis',
            //formatter: '违规率：<br />{c}%'
            formatter: '违规率：{c}%'
          },
          xAxis: {
              type: 'category',
              //data: ['Mon', 'Tue', 'Wed', 'Thu', 'Fri', 'Sat', 'Sun']
              data: xAxisArr
          },
          yAxis: {
              //name: 'amount',
              max:'100',
              type: 'value',
              axisLabel:{
                formatter: '{value}%'
              }
          },
          series: [{
              //data: [820, 932, 901, 934, 1290, 1330, 1320],
              name:'违规率',
              data: seriesArr,
              type: 'line',
              smooth: true,
		          itemStyle:{
		            normal:{
		              color: '#fccb04' 
		            },
		            emphasis:{
		              color: '#f7d139' 
		            }
		          },
          }]
      };

	    var myChart =  echarts.init(document.getElementById('main'));
	    myChart.setOption(option) 
	    if(msg.length == 0){
		    myChart.showLoading({
		        	text: '暂无数据',
		      		color: '#ffffff',
		      		textColor: '#8a8e91',
		      		maskColor: 'rgba(255, 255, 255, 0.8)',
			  });
	    }else{
	    	myChart.hideLoading();
	    }
	    window.onresize = function(){
	      myChart.resize(); 
	    }


		},
		getRule(task,end_date,agentName){
      let that = this;

      let start_date = this.dateFormat(new Date(new Date(end_date).getTime() - 6*24*60*60*1000));
      console.log(start_date,end_date);
			let arr = [];
			this.$loading({text:'数据加载中...'});
			RquestsPost('api/v1/tasks/static_date/',{task,end_date,start_date,agentName}).then(data => {
				console.log(data.data);
				if(data.code != 0){
					that.$message(data.msg);
					if(data.msg){
						that.$message(data.msg);
					}else{
						that.$message('服务器错误')
					}
				}
				if(!data.data){

					this.$loading().close();
					return false;
				}
				//for(let key in data.data){
				//	arr.unshift([data.data[key],key])
				//}

				that.Charts(data.data);
				this.$loading().close();
			})
			RquestsPost('api/v1/tasks/static/',{task,end_date,start_date,agentName}).then(data => {
				console.log(data.data);
				if(data.code != 0){
					that.$message(data.msg);
					if(data.msg){
						that.$message(data.msg);
					}else{
						that.$message('服务器错误')
					}
				}
				if(!data.data){

					this.$loading().close();
					return false;
				}
				that.titleInfo = data.data;
				this.$loading().close();
			})
		},
		dateFormat(date){
			return date.getFullYear() + "-" + (date.getMonth()+1) + "-" + date.getDate();
		},
		init(){
			this.dateTime = new Date(new Date()-24*60*60*1000);
			this.start_date = this.dateFormat(new Date(new Date()-24*60*60*1000));
			this.getTask();  // 获取任务
			//this.getTake();  // 获取坐席

			this.getRule(this.taskvalue,this.start_date,this.takevalue);  // 获取统计数据

		}
	},
	created(){
		this.init()
	},

})
